function open_breakdown(event) {
	let scene = event.dataset.scene;
	Array.from(document.getElementById("breakdown-list").children).forEach(
		(breakdown) => {
			let breakdown_scene_title = breakdown.querySelector(
				".breakdown-block-title"
			).textContent;
			if (
				breakdown_scene_title == scene ||
				breakdown.dataset.current == "true"
			) {
				breakdown.classList.remove("hidden");
			} else {
				breakdown.classList.add("hidden");
			}
		}
	);
}

function hide_empty_summaries() {
	let summary_divs =
		document.getElementById("summary-list").firstElementChild.children;
	Array.from(summary_divs).forEach((summary) => {
		let checks_undiscovered =
			summary.querySelector(".summary-checks").dataset.checksUndiscovered;
		let entrances_undiscovered =
			summary.querySelector(".summary-entrances").dataset.entrancesUndiscovered;
		if (
			!(
				summary.querySelector(".summary-title").textContent == "Posterity" ||
				summary.querySelector(".summary-title").textContent == "Resurrection"
			) &&
			checks_undiscovered <= 0 &&
			entrances_undiscovered <= 0
		) {
			console.log(`${checks_undiscovered} and ${entrances_undiscovered}`);
			summary.classList.toggle("hidden");
		}
	});
}
